Package com.fasterxml.jackson.datatype.jsr310.deser.key

# Class PeriodKeyDeserializer

java.lang.Object
com.fasterxml.jackson.databind.KeyDeserializer
com.fasterxml.jackson.datatype.jsr310.deser.key.PeriodKeyDeserializer

public class PeriodKeyDeserializer extends com.fasterxml.jackson.databind.KeyDeserializer

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.KeyDeserializer

`com.fasterxml.jackson.databind.KeyDeserializer.None`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PeriodKeyDeserializer`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`protected <T> T`
`_handleDateTimeException(com.fasterxml.jackson.databind.DeserializationContext ctxt, Class<?> type, DateTimeException e0, String value)`
`protected Period`
`deserialize(String key, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`final Object`
`deserializeKey(String key, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final PeriodKeyDeserializer INSTANCE

## Method Details

### deserialize

protected Period deserialize(String key, com.fasterxml.jackson.databind.DeserializationContext ctxt) throws IOException

Throws:
  `IOException`

### deserializeKey

public final Object deserializeKey(String key, com.fasterxml.jackson.databind.DeserializationContext ctxt) throws IOException

Specified by:
  `deserializeKey` in class `com.fasterxml.jackson.databind.KeyDeserializer`
Throws:
  `IOException`

### _handleDateTimeException

protected <T> T _handleDateTimeException(com.fasterxml.jackson.databind.DeserializationContext ctxt, Class<?> type, DateTimeException e0, String value) throws IOException

Throws:
  `IOException`